Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
56 Views

fedora 10 and eclipse not working

I was able to get vtune 9.1 for linux to successfully install on fedora 10 x86-64 sysem. Howeve, when I try to run 'vtlec' I get an error regarding eclipse. Any help would be appreciated. Here is the output:

(eclipse:13257): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",

(eclipse:13257): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory

The dialog says to look at ~/workspace/.metadata/.log so here it is:

!SESSION 2008-12-20 15:35:53.814 -----------------------------------------------
eclipse.buildId=M20060921-0945
java.version=1.5.0_10
java.vendor=BEA Systems, Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Framework arguments: -product com.intel.sdp.primary.product -perspective com.in
tel.vtune.shell.tuningPerspective
Command-line arguments: -os linux -ws gtk -arch x86 -product com.intel.sdp.prim
ary.product -perspective com.intel.vtune.shell.tuningPerspective

!ENTRY org.eclipse.osgi 4 0 2008-12-20 15:35:55.604
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Can't load /home/jmb/.eclipse/org.eclipse.platfo
rm_3.2.0/configuration/org.eclipse.osgi/bundles/31/1/.cp/libswt-pi-gtk-3235.so
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1663)
at java.lang.Runtime.loadLibrary0(Runtime.java:822)
at java.lang.System.loadLibrary(System.java:993)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
at org.eclipse.swt.internal.gtk.OS.(OS.java:22)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
at org.eclipse.swt.widgets.Display.(Display.java:126)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:433)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
at org.eclipse.ui.internal.ide.IDEApplication.createDisplay(IDEApplicati
on.java:122)
at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:75
)
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformAct
ivator.java:78)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runAppli
cation(EclipseAppLauncher.java:92)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(Ec
lipseAppLauncher.java:68)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.ja
va:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.ja
va:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.
java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAcces
sorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)

0 Kudos
3 Replies
Highlighted
Employee
56 Views

I reviewed latest product VTune Performance Analyzer 9.1 Update 1, which supports Red Hat* Fedora* 8 and 9, that has not been tested on Fedora* 10.

Regards, Peter

0 Kudos
Highlighted
Beginner
56 Views

I am running vtune91_001_lin on Fedora 10 without a problem.
$ uname -a
Linux yk-dev-yg.corp.nanometrics.com 2.6.27.7-134.fc10.i686 #1 SMP Mon Dec 1 22:42:50 EST 2008 i686 i686 i386 GNU/Linux

$ cat /etc/fedora-release
Fedora release 10 (Cambridge)
I suspect that your install of Eclipse is buggy. Uninstall it and either use the one that Vtune provides or download the latest package for it via yum.

Is your system up to date? yum clean all && yum upgrade


0 Kudos
Highlighted
Employee
56 Views

Quoting - nanometrics
I suspect that your install of Eclipse is buggy. Uninstall it and either use the one that Vtune provides or download the latest package for it via yum.

VTune Analyzer for Linux* v9.1 Update 1 provides its Eclipse* and JRockit* components (default path - /opt/intel/eclipsepackage/3.2.1/eclipse and/opt/intel/eclipsepackage/3.2.1_7/jrockit-R27.2.0-jre1.5.0_10)

If the user already installed Eclipse* and JVM as default use, don't need to uninjstall them, just do -

export OTHER_JVM_BINDIR=/opt/intel/eclipsepackage/3.2.1_7/jrockit-R27.2.0-jre1.5.0_10/bin

export OTHER_ECLIPSE_BIN=/opt/intel/eclipsepackage/3.2.1/eclipse

Regards, Peter

0 Kudos